import { createApp } from 'vue'
import App from './App.vue'
import install from './install'
import './permission'
import './styles/index.scss'
import 'virtual:svg-icons-register'
import configs from './config/index'

window._AMapSecurityConfig = {
    securityJsCode:'e8b6cb44e8e431d68052c8e10db99264',
}

const app = createApp(App)
app.use(install)
app.provide('base_url', configs.baseUrl+configs.urlPrefix);
app.mount('#app')
app.config.warnHandler = () => null